%global tarname WWW-OrangeHRM-Client
Name:           perl-%{tarname}
Version:        0.10.3
Release:        1%{?dist}
Summary:        Client for OrangeHRM
License:        GPL+
URL:            http://ppisar.fedorapeople.org/%{tarname}/
Source0:        %{url}%{tarname}-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(utf8)
# Run-time:
BuildRequires:  perl(DateTime)
BuildRequires:  perl(DateTime::Duration)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(HTML::TreeBuilder::LibXML)
BuildRequires:  perl(strict)
BuildRequires:  perl(version)
BuildRequires:  perl(warnings)
BuildRequires:  perl(WWW::Mechanize)
# Tests:
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(LWP::Protocol::https)
# Recommended:
Requires:       perl(LWP::Authen::Negotiate)

%description
This module implements client for OrangeHRM information system. It has been
developed against Red Hat instance, so I cannot guarantee it works with
other instances.

%prep
%setup -q -n %{tarname}-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license COPYING
%doc Changes
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Apr 06 2017 Petr Pisar <ppisar@redhat.com> - 0.10.3-1
- 0.10.3 bump

* Tue Jan 03 2017 Petr Pisar <ppisar@redhat.com> - 0.10.2-1
- 0.10.2 bump

* Wed Dec 21 2016 Petr Pisar <ppisar@redhat.com> - 0.10.1-1
- 0.10.1 bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 30 2015 Petr Pisar <ppisar@redhat.com> - 0.10.0-1
- 0.10.0 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.9.1-2
- Perl 5.22 rebuild

* Thu Jan 08 2015 Petr Pisar <ppisar@redhat.com> - 0.9.1-1
- 0.9.1 bump

* Wed Oct 08 2014 Petr Pisar <ppisar@redhat.com> - 0.9.0-1
- 0.9.0 bump

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.8.0-2
- Perl 5.20 rebuild

* Tue Aug 26 2014 Petr Pisar <ppisar@redhat.com> - 0.8.0-1
- 0.8.0 bump

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 29 2014 Petr Pisar <ppisar@redhat.com> - 0.7.2-1
- 0.7.2 bump

* Tue Dec 17 2013 Petr Pisar <ppisar@redhat.com> - 0.7.1-1
- 0.7.1 bump

* Thu Nov 28 2013 Petr Pisar <ppisar@redhat.com> - 0.7.0-1
- 0.7.0 bump

* Thu Aug 29 2013 Petr Pisar <ppisar@redhat.com> - 0.6.0-1
- 0.6.0 bump

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 0.5.0-2
- Perl 5.18 rebuild

* Thu Apr 11 2013 Petr Pisar <ppisar@redhat.com> - 0.5.0-1
- 0.5.0 bump

* Tue Mar 05 2013 Petr Pisar <ppisar@redhat.com> - 0.4.0-1
- 0.4.0 bump

* Fri Jan 25 2013 Petr Pisar <ppisar@redhat.com> - 0.3.0-1
- 0.3.0 bump

* Tue Jan 08 2013 Petr Pisar <ppisar@redhat.com> - 0.2.0-1
- 0.2.0 bump

* Fri Dec 14 2012 Petr Pisar <ppisar@redhat.com> 0.1.1-1
- Specfile autogenerated by cpanspec 1.78.
